org.codehaus.plexus.compiler

## Class AbstractCompilerTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.artifact.test.ArtifactTestCase
        - - org.codehaus.plexus.compiler.AbstractCompilerTest

All Implemented Interfaces:
  junit.framework.Test

    public abstract class AbstractCompilerTest
    extends org.apache.maven.artifact.test.ArtifactTestCase

Version:
  $Id$

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompilerTest()`

### Method Summary

Methods
`protected int` `compilerErrorCount(List<CompilerError> messages)`
`protected int` `expectedErrors()`
`protected Collection<String>` `expectedOutputFiles()`
`protected int` `expectedWarnings()`
`protected List<String>` `getClasspath()`
`protected File` `getLocalArtifactPath(String groupId, String artifactId, String version, String type)`
`protected abstract String` `getRoleHint()`
`protected void` `setCompilerDebug(boolean flag)`
`protected void` `setCompilerDeprecationWarnings(boolean flag)`
`void` `testCompilingSources()`

### Methods inherited from class org.apache.maven.artifact.test.ArtifactTestCase

`getLocalArtifactPath, setUp`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer, tearDown`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractCompilerTest

    public AbstractCompilerTest()

### Method Detail

#### getRoleHint

    protected abstract String getRoleHint()

#### setCompilerDebug

    protected void setCompilerDebug(boolean flag)

#### setCompilerDeprecationWarnings

    protected void setCompilerDeprecationWarnings(boolean flag)

#### getClasspath

    protected List<String> getClasspath()
                                 throws Exception

Throws:
  `Exception`

#### testCompilingSources

    public void testCompilingSources()
                              throws Exception

Throws:
  `Exception`

#### compilerErrorCount

    protected int compilerErrorCount(List<CompilerError> messages)

#### expectedErrors

    protected int expectedErrors()

#### expectedWarnings

    protected int expectedWarnings()

#### expectedOutputFiles

    protected Collection<String> expectedOutputFiles()

#### getLocalArtifactPath

    protected File getLocalArtifactPath(String groupId,
                            String artifactId,
                            String version,
                            String type)